Bug 66189 - USB Generic Serial driver hangs on call to 'close'.
USB Generic Serial driver hangs on call to 'close'.
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-05 19:26 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 20:06:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-06-05 19:26:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.18 i686)

Description of problem:
Before calling 'generic_close', the function 'serial_close' does a call  to
'down'. Within 'generic_close' another call to 'down' is done which causes the
driver to hang.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Enable USB Serial Converter support and the USB Generic Serial Driver in the
kernel.
2. Load the usbserial driver with vendor and product ids for a "generic" USB
device.
3. Attach the "generic" USB device to the system.
4. Write a program that does an open and close  of "/dev/ttyUSB0".
	

Actual Results:  Program will not return from call to 'close'.

Expected Results:  Program will return from call to 'close' and finish
execution.

Additional info:
Comment 1 Greg Kroah-Hartman 2002-06-06 18:03:06 EDT
oops, I caused this bug with my previous patch for the visor oops.

If the calls to down(&port->sem) and up(&port->sem) are removed from
drivers/usb/usbserial.c::generic_close() this problem should be fixed.

Let me know if anyone needs me to make a patch for this problem.

Again, very sorry about this.
Comment 2 Pete Zaitcev 2002-06-10 13:37:01 EDT
See also Bug 61820.
Comment 3 Pete Zaitcev 2002-06-11 15:36:30 EDT
I fixed it in HEAD 2.4.18-5.47 (Raw Hide), but not in Hampton (7.3).
The temporary 2.4 fix is in current -ac.

Note You need to log in before you can comment on or make changes to this bug.